ChangeSet 1.1315.8.2, 2003/09/16 10:53:37-07:00, greg@kroah.com

[PATCH] USB: fix oops in ipaq driver

Should fix bug number 1227


 drivers/usb/serial/ipaq.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/serial/ipaq.c b/drivers/usb/serial/ipaq.c
--- a/drivers/usb/serial/ipaq.c	Fri Sep 19 17:16:01 2003
+++ b/drivers/usb/serial/ipaq.c	Fri Sep 19 17:16:01 2003
@@ -341,7 +341,7 @@
 	usb_serial_debug_data (__FILE__, __FUNCTION__, urb->actual_length, data);
 
 	tty = port->tty;
-	if (urb->actual_length) {
+	if (tty && urb->actual_length) {
 		for (i = 0; i < urb->actual_length ; ++i) {
 			/* if we insert more than TTY_FLIPBUF_SIZE characters, we drop them. */
 			if(tty->flip.count >= TTY_FLIPBUF_SIZE) {
